BW_MEM_RD(8)

NAME
bw_mem_rd - time memory read rate (with overhead)

SYNOPSIS
bw_mem_rd size

DESCRIPTION
bw_mem_rd allocates the specified amount of memory, zeros it, and then times the reading of that memory as a series of integer loads and adds. Each four byte integer is loaded and added to accumulator.

The size specification may end with ``k'' or ``m'' to mean kilobytes (* 1024) or megabytes (* 1024 * 1024).

OUTPUT
Output format is "%0.2f %.2f\n", megabytes, megabytes_per_second, i.e.,

8.00 25.33

MEMORY UTILIZATION
This benchmark should move approximately the reported amount of memory.

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8).